SslMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.ssl.SslMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ssl
Class SslMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.tcp.TcpMessageReceiver
                  org.mule.transport.ssl.SslMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Runnable, EventListener, HandshakeCompletedListener, javax.resource.spi.work.Work, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class SslMessageReceiver

extends TcpMessageReceiver
implements HandshakeCompletedListener

Nested Class Summary
`protected class` | `SslMessageReceiver.SslWorker`

Nested classes/interfaces inherited from class org.mule.transport.tcp.TcpMessageReceiver
`TcpMessageReceiver.TcpWorker`

Field Summary

Fields inherited from class org.mule.transport.tcp.TcpMessageReceiver
`disposing`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`SslMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`protected javax.resource.spi.work.Work` | `createWork(Socket socket)`
`void` | `handshakeCompleted(HandshakeCompletedEvent event)`

Methods inherited from class org.mule.transport.tcp.TcpMessageReceiver
`doConnect, doDisconnect, doDispose, doStart, doStop, getServerSocket, release, run`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### SslMessageReceiver

    public SslMessageReceiver(Connector connector,
                              Service service,
                              InboundEndpoint endpoint)
                       throws CreateException

Throws:
  `CreateException`

Method Detail

### createWork

    protected javax.resource.spi.work.Work createWork(Socket socket)
                                               throws IOException

  Overrides:
    `createWork` in class `TcpMessageReceiver`
  Throws:
    `IOException`

### handshakeCompleted

    public void handshakeCompleted(HandshakeCompletedEvent event)

  Specified by:
    `handshakeCompleted` in interface `HandshakeCompletedListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.